Xeonr Developer Docs
API SpecificationTeams

List API tokens

POST
/xeonr.functions.v1.TeamService/ListTeamTokens

The team's tokens and when each was last used. Never their secrets.

Authorization

BearerAuth
AuthorizationBearer <token>

A team API token, created by a team owner and presented as Authorization: Bearer fnt_…. The secret is shown once at creation and stored only as a hash.

In: header

Header Parameters

Connect-Protocol-Version*number

Define the version of the Connect protocol

Value in1
Connect-Timeout-Ms?number

Define the timeout, in ms

Request Body

application/json

ownerTeam?string
[key: string]?never

Response Body

application/json

application/json

curl -X POST "https://functions.xeonr.io/xeonr.functions.v1.TeamService/ListTeamTokens" \  -H "Connect-Protocol-Version: 1" \  -H "Content-Type: application/json" \  -d '{}'
{
  "tokens": [
    {
      "tokenId": "string",
      "name": "string",
      "role": "TEAM_ROLE_UNSPECIFIED",
      "createdAtUnix": 0,
      "lastUsedAtUnix": 0
    }
  ]
}
{
  "code": "not_found",
  "message": "string",
  "details": [
    {
      "type": "string",
      "value": "string",
      "debug": {}
    }
  ]
}